#ifndef _CRYPT_RSA_H_
#define _CRYPT_RSA_H_

#include <openssl/rsa.h>

bool generate_key_pair(QString &, QString &);
bool check_key_pair(const QString &, const QString &);
QString generate_nodeid(const QString &, const QString &);
const QString rsa_encrypt_printable(const unsigned char * data, unsigned int len, const QString &pubkey);
bool rsa_printable_decrypt(unsigned char * res, const QString &data, const QString &privkey);
void buffer_hex_to_bin(const char *in, char *out);
QString buffer_bin_to_hex(const unsigned char *in, unsigned int len);

#endif
