/****************************************************************************
 *            xmlparser.h
 *
 *  Tue Apr 19 21:10:02 2005
 *  Copyright  2005  z
 *  z@zzteam.net
 ****************************************************************************/

#ifndef _XMLPARSER_H
#define _XMLPARSER_H

#define ATTRIB_WO_PCHUNK 6

#include <qxml.h>

class QString;
class QSharelist;

enum t_parseMode {xmlLoad,xmlPartHash,xmlPartHashFileList};

class Xmlparser : public QXmlDefaultHandler
{
	public :
		Xmlparser(QSharelist *);
		Xmlparser(const QString& h,Q_UINT64 s, QStringList * result);
		Xmlparser(QStringList * result);
    bool startElement( const QString&, const QString&, const QString& ,const QXmlAttributes& );

private :
		QSharelist * sharelist;
		t_parseMode mode;
		QString hash;
		Q_UINT64 size;
		QStringList * partHashes;
};



#endif /* _XMLPARSER_H */
