#ifndef XMLTEMPFILE_H
#define XMLTEMPFILE_H
 
#include <qdom.h>
#include <qxml.h>
#include <qstring.h>
#include "gtempfile.h"
class GTempFile;

class xmlTempFile : public QXmlDefaultHandler
{
	public :
		xmlTempFile(GTempFile *);
    bool startDocument();
    bool startElement( const QString&, const QString&, const QString& ,
                       const QXmlAttributes& );
    bool endElement( const QString&, const QString&, const QString& );

	private :
	/* variables */
		GTempFile * tmpFile;
		QDomElement xf;
		unsigned int nb;
};

#endif
