/***************************************************************************
 *            gtypes.h
 *
 *  Mon Jan  3 11:57:39 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GTYPES_H
#define _GTYPES_H

#include <qstring.h>
#include <qstringlist.h>

#define NODE_ID_SIZE 26

enum t_connexion {lan100=1,lan10,dsl1024,dsl768,dsl512,dsl256,dsl128,modem};
enum g_time_unit {minutes,hours,days};
/*enum t_connexion {sat,rtc,isdn,dsl,ls};*/
typedef QString FileURL;    // gloster://file/file_name:file_size?hash_string
typedef QString UserURL;    // gloster://user/user_name?key=key_string&client_id=client_id_string&ip=ip_string&port=port_string
typedef QStringList FileList;


typedef struct
{
  Q_UINT16 *nodes;
  QString * chan;
  unsigned short int nb_nodes;
} s_chat_user_list;

typedef struct
{
  s_chat_user_list *chans;
  unsigned short int nb_chans;
} s_chan_list;


struct GSrcSpeed
{
	QString nodeId;
	unsigned long int speed;
};

#endif /* _GTYPES_H */
