#ifndef STRUCTUREPARSER_H
#define STRUCTUREPARSER_H

#include <qxml.h>
#include <qptrstack.h>
#include <qpixmap.h>

class QShareListView;
class QListViewItem;
class QString;
class vDirectory;
class vDirectoryView;
class FileItem;

class StructureParser: public QXmlDefaultHandler
{
	public:
		StructureParser(  vDirectoryView *, bool fillNodeid = FALSE );
		bool startElement( const QString&, const QString&, const QString& , const QXmlAttributes& );
		bool endElement( const QString&, const QString&, const QString& );
		bool endDocument();

		void setListView(  vDirectoryView * );

	private:
		QPtrStack<QListViewItem> stack;
		vDirectoryView * table;
		QString searchElt;
		bool fillNodeid;
};

#endif
