/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include <qcolordialog.h>
#include "fontdialog.h"
#include "../gconfig.h"

extern GConfig * gconf;

void fontdialog::setFontColor()
{
    fontColorPix->setPaletteBackgroundColor(QColorDialog::getColor(fontColorPix->paletteBackgroundColor(),this));
}


void fontdialog::acceptChanges()
{
    gconf->setIsChatTextBold(fontStyle->item(0)->isSelected());
    gconf->setIsChatTextItalic(fontStyle->item(1)->isSelected());
    gconf->setIsChatTextUnderlined(fontStyle->item(2)->isSelected());
    gconf->setChatTextColor(fontColorPix->paletteBackgroundColor());
    emit updateConf();
    close();
}



void fontdialog::initFontStyle()
{
    fontStyle->insertItem(tr("Gras"),0);
    fontStyle->insertItem(tr("Italique"),1);
    fontStyle->insertItem(tr("Soulign"),2);
}


void fontdialog::init()
{
    initFontStyle();
    fontColorPix->setPaletteBackgroundColor(gconf->chatTextColor());
    fontStyle->setSelected(0,gconf->isChatTextBold());
    fontStyle->setSelected(1,gconf->isChatTextItalic());
    fontStyle->setSelected(2,gconf->isChatTextUnderlined());
}
