/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include <qlistview.h>
#include <qtabwidget.h>
#include <qobjectlist.h>
#include <qptrlist.h>
#include <qmessagebox.h>
#include "../network/gnetwork.h"
#include "../gui/search.h"
#include "../files/gdownloader.h"

extern GNetwork *net; 
  
void recherche::search()
{
    int i;
    QString s=txtSearch->text();
    txtSearch->clear();
    if ((s.length()>2) && ((s.simplifyWhiteSpace())!=""))
    {
	if(!tabSearch)
	{
	    tabSearch = new QTabWidget(centralWidget());
	    tabSearch->setBaseSize(350,300);
	    layout193->addWidget(tabSearch);
	}
	else
	{
	    for(i=0;i<tabSearch->count();++i)
	    {	
		if (s==tabSearch->label(i))
		{
		    tabSearch->showPage(tabSearch->page(i));
		    return	;
		}	
	    }
	}
	addPage(s);
	net->sendSearchFile(s,comboSearch->currentItem()+1);
	toggleBtn(TRUE);
    }
    else
	QMessageBox::warning(this,tr("Chane de recherche invalide"),tr("La chane de recherche doit contenir au moins 3 caractres et tre non vide"),QMessageBox::Ok,0);
}

void recherche::searchresult(const QString & searched,const QString& file,const QString & size,const QString& hash,unsigned int type, const QString& nick)
{
    tabsearch * tab;
    QListViewItem* item;
    int i; 
    for(i=0;i<tabSearch->count();++i)
    {
	if (searched==tabSearch->label(i))
	{  
	    tab = (tabsearch *) tabSearch->page(i);
	    item = tab->result()->firstChild();
	    while (item && (item->text(3)!=hash))
		item = item->nextSibling();  
	
	    if (item) 
		item->text(2)= QString::number(item->text(2).toUShort()+1);
	    else
		(void) new QListViewItem(tab->result(),file,size,QString::number(1),hash,QString::number(type),nick);	
	    return;
	}
    }
}

void recherche::dl()
{  
    if(tabSearch->count()>0)
    {
	QValueList<QListViewItem *> dl = ((tabsearch *)tabSearch->currentPage())->selectedItems();
	QValueList<QListViewItem *>::iterator it;
	for(it = dl.begin() ; it!=dl.end() ; ++it)
	    net->download((*it)->text(0),(*it)->text(1).toULongLong(),(*it)->text(3));   
    }
}


void recherche::closetab()
{
    if(QWidget * tab=tabSearch->currentPage())
    {
	tabSearch->removePage(tab);
	delete(tab);
    }
}  

void recherche::init()
{
    setIcon(QPixmap::fromMimeSource("search.png"));
    txtSearch->setFocus();
    tabSearch = 0;
    
    connect(net,SIGNAL(recvSearchResult(const QString &,const QString&,const QString &,const QString&,unsigned int, const QString&)),this,SLOT(searchresult(const QString &,const QString&,const QString &,const QString&,unsigned int, const QString&)));
}


void recherche::clearAllTabs()
{
    QSize s = tabSearch->size();
    delete tabSearch;
    tabSearch = 0;
    setMinimumSize(QSize(632, 121));
    setMaximumSize(QSize(632, 121));
    repaint(TRUE);
    setMaximumSize(32767,32767);
    toggleBtn(FALSE);
}


void recherche::toggleBtn(bool b)
{
    dler->setEnabled(b);
    closeAllTabsBtn->setEnabled(b);
}


void recherche::addPage( const QString & s)
{
    tabsearch* ts ;
    ts = new tabsearch (tabSearch);
    connect(ts,SIGNAL(startDl()),this,SLOT(dl()));
    tabSearch->addTab(ts,s);
    tabSearch->showPage(ts);
    tabSearch->show();
}


void recherche::initStatusBar()
{

}
