/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include <qpopupmenu.h>

QListView * tabsearch::result()
{
    return resultlist;
}


QValueList<QListViewItem *> tabsearch::selectedItems()
{
    QValueList<QListViewItem *> res;
    QListViewItem * item = resultlist->firstChild();
    
    while(item)
    {
	if(item->isSelected())
	    res << item;
	item = item->nextSibling();
    }
    return res;
}


void tabsearch::showMenu(QListViewItem * item, const QPoint & p, int)
{
    QPopupMenu menu;
    
    if(item)
    {
	menu.insertItem(QPixmap::fromMimeSource("download.png"),tr("tlcharger"),this,SLOT(sendDownload()),CTRL+Key_D);
    
	menu.exec(p);
    }
}


void tabsearch::sendDownload()
{
    emit startDl();
}
