#ifndef LANG_H
#define LANG_H

#include <qapplication.h>
#include <qstring.h>
#include <qdir.h>
#include <qstringlist.h>
#include <qtranslator.h>
#include <qtextcodec.h>
#include <qstringlist.h>
#include "gconfig.h"

extern GConfig * gconf;

class GLanguage
{
	public :
		GLanguage() {}

		static void setAppLanguage();
		static const QString findLanguage();
		static QStringList listLanguage();
		static void changeLanguage();

	private :
		static const QString findTraductionFile(const QString& langSettings);
		static const QString findTraductionFileByLocale();
};

#endif
