#ifndef QGRAPHE_H
#define QGRAPHE_H

#include <qgl.h>
#include "../../graphes.h"

#define TIMER 42

typedef struct {
	GLfloat x,y,z;
	bool isset;
}nodecoords;

class QGraphe : public QGLWidget
{
	Q_OBJECT

	public:
		/* Variables */
		c_graphes * pgraphe;
		nodecoords * node;
		GLint dlist;
		
		/* fonctions */
		QGraphe(c_graphes *, QWidget *parent=0, const char *name=0 );
		QGraphe::~QGraphe();
		void genlist();
		void draw();
	
	public slots:
		void graphe_modified();
  
	private :
		void shownode(unsigned short int);
	  	void calculcoord();
  
	protected:
		void initializeGL();
		void resizeGL( int, int );
		void paintGL();
		void timerEvent( QTimerEvent * );
		void mousePressEvent(QMouseEvent *);
};




#endif
