/***************************************************************************
 *            gfilesocketcommon.h
 *
 *  Thu May  5 20:58:47 2005
 *  Copyright  2005  CrYpToNyM
 *  Email
 ****************************************************************************/

#ifndef _GFILESOCKETCOMMON_H
#define _GFILESOCKETCOMMON_H

#include <qvaluevector.h>
#include "../files/gfileconst.h"
#include "../crypt/hash.h"
#include "../gtypes.h"

/* pour le htons */
#ifdef Q_WS_WIN
#	include <winsock2.h>
#else
#	include <netinet/in.h>
#endif


#ifdef __cplusplus
extern "C"
{
#endif

enum {fdl_getfile,fdl_getpart,ful_hi,ful_havefile,ful_haventfile,ful_ul,ful_new,ful_acceptdl,ful_queue};


typedef struct 
{
	Q_UINT16 chunk;
	unsigned char part;
} part_pos;

typedef QValueList<part_pos> PartPosQueue; /* File stl de part_pos */

#ifdef __cplusplus
}
#endif

#endif /* _GFILESOCKETCOMMON_H */
