/***************************************************************************
 *            gipaddr.h
 *
 *  Thu Jun 16 13:01:23 2005
 *  Copyright  2005  CrYpToNyM
 *  Email
 ****************************************************************************/

#include <qstring.h>
#include <qobject.h>
#include <qsocket.h>

#ifndef _GIPADDR_H
#define _GIPADDR_H

class GIpAddr: public QObject
{
  Q_OBJECT
	
	public:
  	GIpAddr(QObject * parent = 0,const char * name = 0); //constructor
  	~GIpAddr();                        //destructor
		QString lanIP();
	
	signals:
		void lanIP(const QString &ip);
		void internetIP(const QString &ip);
	
	private:
		bool isValidIP(const QString &ip);
		QSocket *s;
	
	private slots:
		void socketConnected();
		void socketData();
	
};


#endif /* _GIPADDR_H */
