/***************************************************************************
 *            rfc_gloster.h
 *
 *  Mon Feb 28 12:38:35 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _RFC_GLOSTER_H
#define _RFC_GLOSTER_H

#include <qstring.h>
#include <qregexp.h>


extern const QString RFC_HELO;
extern const QString RFC_ACPT;

extern const QString RFC_UNKN;
extern const QString RFC_WRNG;

extern const QString RFC_STAR;

extern const QString RFC_CUEV;
extern const QString RFC_CMSG;
extern const QString RFC_CMPV;

extern const QString RFC_SRCH;
extern const QString RFC_RSRH;
extern const QString RFC_HSRH;
extern const QString RFC_HRSR;

extern const QString RFC_FLST;
extern const QString RFC_RFLS;

extern const QString RFC_ACON;

extern const QString RFC_QUIT;


extern const QString RFC_WKEY;
extern const QString RFC_GKEY;


extern const QRegExp reHandShakeHELO;
extern const QRegExp reHandShakeACPT;
extern const QRegExp rePacketRouting;
extern const QRegExp reUNKN;
extern const QRegExp reWRNG;


#endif /* _RFC_GLOSTER_H */
